Package com.io7m.idstore.tls

# Record Class IdTLSEnabled

java.lang.Object
java.lang.Record
com.io7m.idstore.tls.IdTLSEnabled

Record Components:
  `keyStore` - The key store
  `trustStore` - The trust store

All Implemented Interfaces:
  `IdTLSConfigurationType`

public record IdTLSEnabled(IdTLSStoreConfiguration keyStore, IdTLSStoreConfiguration trustStore) extends Record implements IdTLSConfigurationType
TLS is enabled.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdTLSEnabled(IdTLSStoreConfiguration keyStore, IdTLSStoreConfiguration trustStore)`
  TLS is enabled.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `IdTLSStoreConfiguration`
  `keyStore()`
  Returns the value of the `keyStore` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `IdTLSStoreConfiguration`
  `trustStore()`
  Returns the value of the `trustStore` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdTLSEnabled

    public IdTLSEnabled(IdTLSStoreConfiguration keyStore, IdTLSStoreConfiguration trustStore)
    TLS is enabled.
    Parameters:
      `keyStore` - The key store
      `trustStore` - The trust store

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### keyStore

    public IdTLSStoreConfiguration keyStore()
    Returns the value of the `keyStore` record component.
    Returns:
      the value of the `keyStore` record component

  - ### trustStore

    public IdTLSStoreConfiguration trustStore()
    Returns the value of the `trustStore` record component.
    Returns:
      the value of the `trustStore` record component